# The Docker image that will be used to build your app
image: rust:latest
create-pages:
  pages:
    # The folder that contains the files to be exposed at the Page URL
    publish: public
  artifacts:
    paths:
      - public
  rules:
    # This ensures that only pushes to the default branch will trigger
    # a pages deploy
    - if: $CI_COMMIT_BRANCH == "main"
  # Functions that should be executed before the build script is run
  before_script:
    - cargo install --git https://github.com/Myriad-Dreamin/shiroa --locked shiroa
  script:
    - shiroa build -d public
